<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hssx.pcbms.mapper.PersonScoreMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hssx.pcbms.entity.PersonScore">
        <id column="id" property="id" />
        <result column="uid" property="uid" />
        <result column="virtue" property="virtue" />
        <result column="can" property="can" />
        <result column="diligence" property="diligence" />
        <result column="performance" property="performance" />
        <result column="lian" property="lian" />
        <result column="indate" property="indate" />
        <result column="time_str" property="timeStr" />
        <result column="score_id" property="scoreId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, uid, virtue, can, diligence, performance, lian, indate, time_str, score_id
    </sql>

</mapper>
